앱을 빌드하고 배포한 후 콘솔 또는 명령줄을 사용하여 이러한 앱을 관리 Google Cloud 할 수 있습니다.
애플리케이션 관리
앱 업데이트
배포되지 않은 앱
앱을 수정합니다 (예: 구성요소 노드 추가 또는 삭제). Gemini Enterprise Agent Platform Vision은 변경사항을 자동으로 저장합니다.
배포된 앱
배포된 앱의 변경사항은 Gemini Enterprise Agent Platform Vision 서버에 자동으로 저장되며 배포된 애플리케이션에는 영향을 미치지 않습니다. 수정사항을 삭제하려면 변경사항 삭제 버튼을 클릭합니다. 변경사항을 저장하려면 애플리케이션 업데이트 를 선택합니다. 이러한 로컬 변경사항을 애플리케이션에 적용하려면 현재 애플리케이션을 배포 취소한 후 다시 배포합니다.
앱 나열
REST
프로젝트의 모든 앱을 나열하려면 projects.locations.applications.list 메서드를 사용하여 GET 요청을 전송합니다.
요청 데이터를 사용하기 전에 다음을 바꿉니다.
- PROJECT: 프로젝트 ID 또는 프로젝트 번호 Google Cloud
- LOCATION_ID: Agent Platform Vision을 사용하는 리전입니다. 예:
us-central1,europe-west4사용 가능한 리전을 참고하세요.
HTTP 메서드 및 URL:
GET https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER/locations/LOCATION_ID/applications
요청을 보내려면 다음 옵션 중 하나를 선택합니다.
curl
다음 명령어를 실행합니다.
curl -X GET \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
"https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER/locations/LOCATION_ID/applications"
PowerShell
다음 명령어를 실행합니다.
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }
Invoke-WebRequest `
-Method GET `
-Headers $headers `
-Uri "https://visionai.googleapis.com/v1/projects/PROJECT_NUMBER/locations/LOCATION_ID/applications" | Select-Object -Expand Content
다음과 비슷한 JSON 응답이 표시됩니다.
{
"applications": [
{
"name": "projects/PROJECT_NUMBER/locations/LOCATION_ID/applications/test-application-1",
"createTime": "2022-03-01T20:04:12.558371402Z",
"updateTime": "2022-03-01T20:07:21.589713094Z",
"displayName": "Test Application 1",
"runtimeInfo": {
"deployTime": "2022-03-01T20:07:21.460654Z"
}
"state": "DEPLOYED"
},
{
"name": "projects/PROJECT_NUMBER/locations/LOCATION_ID/applications/test-application-2",
"createTime": "2022-03-01T20:04:12.558371402Z",
"updateTime": "2022-03-01T20:07:21.589713094Z",
"displayName": "Test Application 2",
"runtimeInfo": {
"deployTime": "2022-03-01T20:07:21.460654Z"
}
"state": "DEPLOYED"
},
]
}
다음 단계
- 스트림 데이터 읽기에서 수집 스트림 또는 분석된 모델 출력 데이터에서 앱 입력 데이터를 읽는 방법을 알아봅니다.